import type { CompletionSource } from '@codemirror/autocomplete';
import { type CodemirrorThemeType } from '../editor';
export type SavedQuery = {
    type: string;
    lastExecuted: Date;
    queryProperties: {
        [propertyName: string]: any;
    };
};
export declare const createQueryHistoryAutocompleter: ({ savedQueries, onApply, queryProperty, theme, }: {
    savedQueries: SavedQuery[];
    onApply: (query: SavedQuery['queryProperties']) => void;
    queryProperty: string;
    theme: CodemirrorThemeType;
}) => CompletionSource;
export declare function createQueryLabel(query: SavedQuery, propertyName: string): string;
export declare function createQueryDisplayLabel(query: SavedQuery): string;
export declare function scaleBetween(unscaledNum: number, newScaleMin: number, newScaleMax: number, originalScaleMin: number, originalScaleMax: number): number;
//# sourceMappingURL=query-history-autocompleter.d.ts.map